Take a one-off item out of the week
curl --request DELETE \
--url https://api.example.com/v1/week/activities/{activityId} \
--header 'Content-Type: application/json' \
--cookie __Secure-better-auth.session_token= \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"supersedes": "<string>"
}
'import requests
url = "https://api.example.com/v1/week/activities/{activityId}"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"supersedes": "<string>"
}
headers = {
"cookie": "__Secure-better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
cookie: '__Secure-better-auth.session_token=',
'Content-Type': 'application/json'
},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
at: '2023-11-07T05:31:56Z',
supersedes: '<string>'
})
};
fetch('https://api.example.com/v1/week/activities/{activityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/week/activities/{activityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'at' => '2023-11-07T05:31:56Z',
'supersedes' => '<string>'
]),
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/week/activities/{activityId}"
payload := strings.NewReader("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/v1/week/activities/{activityId}")
.header("cookie", "__Secure-better-auth.session_token=")
.header("Content-Type", "application/json")
.body("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/week/activities/{activityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
request["Content-Type"] = 'application/json'
request.body = "{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"removed": {
"activityId": "<string>",
"removedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"details": {}
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Forbidden",
"statusCode": 403
}{
"code": "<string>",
"details": {}
}{
"code": "<string>",
"details": {}
}{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}Week
Take a one-off item out of the week
Desfazer: writes a removal that ends the activity’s current schedule, supersedes; nothing is deleted, and the item leaves every read. Only a one-off activity can be removed. The same command again returns the same removal; operationId makes a retry safe.
DELETE
/
v1
/
week
/
activities
/
{activityId}
Take a one-off item out of the week
curl --request DELETE \
--url https://api.example.com/v1/week/activities/{activityId} \
--header 'Content-Type: application/json' \
--cookie __Secure-better-auth.session_token= \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"supersedes": "<string>"
}
'import requests
url = "https://api.example.com/v1/week/activities/{activityId}"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"supersedes": "<string>"
}
headers = {
"cookie": "__Secure-better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
cookie: '__Secure-better-auth.session_token=',
'Content-Type': 'application/json'
},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
at: '2023-11-07T05:31:56Z',
supersedes: '<string>'
})
};
fetch('https://api.example.com/v1/week/activities/{activityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/week/activities/{activityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'at' => '2023-11-07T05:31:56Z',
'supersedes' => '<string>'
]),
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/week/activities/{activityId}"
payload := strings.NewReader("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/v1/week/activities/{activityId}")
.header("cookie", "__Secure-better-auth.session_token=")
.header("Content-Type", "application/json")
.body("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/week/activities/{activityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
request["Content-Type"] = 'application/json'
request.body = "{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"at\": \"2023-11-07T05:31:56Z\",\n \"supersedes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"removed": {
"activityId": "<string>",
"removedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"details": {}
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Forbidden",
"statusCode": 403
}{
"code": "<string>",
"details": {}
}{
"code": "<string>",
"details": {}
}{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}Authorizations
The session cookie set when you sign in to the web app.
Path Parameters
Maximum string length:
64Body
application/json
Response
The item was taken out.
Show child attributes
Show child attributes